OGGDUMP(1)

NAME
oggDump - prints out information of ogg video files (.ogv, .ogg or oga)

SYNOPSIS
oggDump [options] file.ogv

DESCRIPTION
OggDump gives detailed information about an ogg video file and prints these information with a given detail level.

Ogg files consist of a number of streams (video and audio). From the Ogg-container perspective, the streams are divided into pages. These pages usually have nearly the same size. The pages can be printed out with the -g option.

From the stream perspective, every stream consists of packets. These packets carry a bunch of compressed audio samples in case of a vorbis stream or one video frame in case of a theora video stream. These packets could be of variable length and are places into the ogg pages. To toString the packets, use the -p option.

OPTIONS

-g  Dumps the stream pages of the file.

-p  Dumps the stream packets.

-l  <level>. Set the dump level (1-5). Default is 5, which means all information are printed.

-s  Prompt for the stream that should be dumped. All other streams are ignored and will not be printed.

-o  <file> Write the dump information to a file.

AUTHOR
Joern Seger <yorn at gmx dot net>

SEE ALSO
oggCut(1), oggJoin(1), oggSplit(1), oggTranscode^(1), oggSlideshow(1), oggThumb(1), oggSilence(1)